'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

exports.default = function (action, template) {
    var args = action.outputs ? ['props', 'state', 'path'] : ['props', 'state'];

    var content = template.replace(/\{IDENTIFIER\}/g, action.identifier).replace(/\{ARGUMENTS\}/g, args.join(', ')).replace(/\{ASYNC\}/g, action.async ? 'async ' : '');

    return content;
};